org.apache.fop.svg.font

## Class FilteringFontFamilyResolver

- java.lang.Object
- - org.apache.fop.svg.font.FilteringFontFamilyResolver

All Implemented Interfaces:
  org.apache.batik.bridge.FontFamilyResolver, FOPFontFamilyResolver

Direct Known Subclasses:
  AFPFontFamilyResolver

    public class FilteringFontFamilyResolver
    extends Object
    implements FOPFontFamilyResolver

### Constructor Summary

Constructors
Constructor and Description
`FilteringFontFamilyResolver(FOPFontFamilyResolver delegate)`

### Method Summary

All Methods Instance Methods Concrete Methods
`FOPGVTFontFamily` `getDefault()`
`FOPGVTFontFamily` `getFamilyThatCanDisplay(char c)`
`org.apache.batik.gvt.font.GVTFontFamily` `loadFont(InputStream in, org.apache.batik.bridge.FontFace fontFace)`
`FOPGVTFontFamily` `resolve(String familyName)`
`org.apache.batik.gvt.font.GVTFontFamily` `resolve(String familyName, org.apache.batik.bridge.FontFace fontFace)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FilteringFontFamilyResolver

    public FilteringFontFamilyResolver(FOPFontFamilyResolver delegate)

### Method Detail

#### resolve

    public FOPGVTFontFamily resolve(String familyName)

Specified by:
  `resolve` in interface `org.apache.batik.bridge.FontFamilyResolver`
Specified by:
  `resolve` in interface `FOPFontFamilyResolver`

#### resolve

    public org.apache.batik.gvt.font.GVTFontFamily resolve(String familyName,
                                                           org.apache.batik.bridge.FontFace fontFace)

Specified by:
  `resolve` in interface `org.apache.batik.bridge.FontFamilyResolver`

#### loadFont

    public org.apache.batik.gvt.font.GVTFontFamily loadFont(InputStream in,
                                                            org.apache.batik.bridge.FontFace fontFace)
                                                     throws Exception

Specified by:
  `loadFont` in interface `org.apache.batik.bridge.FontFamilyResolver`
Throws:
  `Exception`

#### getDefault

    public FOPGVTFontFamily getDefault()

Specified by:
  `getDefault` in interface `org.apache.batik.bridge.FontFamilyResolver`
Specified by:
  `getDefault` in interface `FOPFontFamilyResolver`

#### getFamilyThatCanDisplay

    public FOPGVTFontFamily getFamilyThatCanDisplay(char c)

Specified by:
  `getFamilyThatCanDisplay` in interface `org.apache.batik.bridge.FontFamilyResolver`
Specified by:
  `getFamilyThatCanDisplay` in interface `FOPFontFamilyResolver`